Package io.dapr.v1

# Interface DaprProtos.InvokeActorRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.InvokeActorRequest`, `DaprProtos.InvokeActorRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.InvokeActorRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
`map<string, string> metadata = 5;`
`String`
`getActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`com.google.protobuf.ByteString`
`getActorIdBytes()`
`string actor_id = 2 [json_name = "actorId"];`
`String`
`getActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getActorTypeBytes()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 4;`
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
`map<string, string> metadata = 5;`
`Map<String,String>`
`getMetadataMap()`
`map<string, string> metadata = 5;`
`String`
`getMetadataOrDefault(String key, String defaultValue)`
`map<string, string> metadata = 5;`
`String`
`getMetadataOrThrow(String key)`
`map<string, string> metadata = 5;`
`String`
`getMethod()`
`string method = 3;`
`com.google.protobuf.ByteString`
`getMethodBytes()`
`string method = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getActorType

String getActorType()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  The actorType.

### getActorTypeBytes

com.google.protobuf.ByteString getActorTypeBytes()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  The bytes for actorType.

### getActorId

String getActorId()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  The actorId.

### getActorIdBytes

com.google.protobuf.ByteString getActorIdBytes()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  The bytes for actorId.

### getMethod

String getMethod()
`string method = 3;`

Returns:
  The method.

### getMethodBytes

com.google.protobuf.ByteString getMethodBytes()
`string method = 3;`

Returns:
  The bytes for method.

### getData

com.google.protobuf.ByteString getData()
`bytes data = 4;`

Returns:
  The data.

### getMetadataCount

int getMetadataCount()
`map<string, string> metadata = 5;`

### containsMetadata

boolean containsMetadata(String key)
`map<string, string> metadata = 5;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()
`map<string, string> metadata = 5;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)
`map<string, string> metadata = 5;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)
`map<string, string> metadata = 5;`